=== Modules/CMakeLists.txt ===
FILE(GLOB CMAKE_FEDORA_MODULES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "M*.cmake")
LIST(APPEND CMAKE_FEDORA_MODULES cmake_uninstall.cmake.in DateTimeFormat.cmake)

MANAGE_FILE_INSTALL(DATA ${CMAKE_FEDORA_MODULES} DEST_SUBDIR cmake/Modules )
