=== debian/changelog ===
ibus-chewing (1.4.10.1-1) unstable; urgency=medium

  * new upstream release.
  * Update debian/watch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sun, 16 Feb 2014 19:58:51 +0800

ibus-chewing (1.4.7-2) unstable; urgency=medium

  * Fix dpkg-buildflags-missing
  * Add debug package ibus-chewing-dbg

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 24 Jan 2014 21:43:58 +0800

ibus-chewing (1.4.7-1) unstable; urgency=low

  * new upstream release.
  * Add make translations due to upstream changed.
  * Update po backup/restore mechanism.
  * Restore ChangeLog before install because it is modified during build
    process.

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 17 Jan 2014 20:09:14 +0800

ibus-chewing (1.4.4-1) unstable; urgency=low

  * new upstream release.
  * Update Vcs-Browser
  * Update debian/po-bak
  * Removed upstream-fixed CVE-2013-4509.patch
  * Removed 0003_fix_quote_me_replace_linux.patch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 20 Dec 2013 20:14:22 +0800

ibus-chewing (1.4.3-5) unstable; urgency=low

  * Team upload.
  * Updated patch for CVE-2013-4509 from ChangZhuo Chen.

 -- Aron Xu <aron@debian.org>  Sun, 15 Dec 2013 18:09:28 +0800

ibus-chewing (1.4.3-4) unstable; urgency=high

  * CVE-2013-4509 (Closes: #730781)
  * Update debian/watch
  * Bump Standards-Version to 3.9.5

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sat, 30 Nov 2013 21:49:05 +0800
