=== debian/watch ===
version=3
opts=uversionmangle=s/-Source$// \
https://github.com/definite/ibus-chewing/releases .*/ibus-chewing(?:-|_|_v|V)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
