=== debian/changelog ===
ibus-chewing (1.4.14-4) unstable; urgency=medium

  * Remove *-dbg package in favor of dbgsym.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 02 Jan 2016 01:38:58 +0800

ibus-chewing (1.4.14-3) unstable; urgency=medium

  * Use cmake-fedora 2.4.4+20151201 to avoid FTBFS caused by cmake-fedora.
  * Update maintainer email.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 05 Dec 2015 11:21:30 +0800

ibus-chewing (1.4.14-2) unstable; urgency=medium

  * Update Vcs-Browser
  * Update Homepage
  * Use copyright-format 1.0
  * Update d/watch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Mon, 29 Jun 2015 19:10:59 +0800

ibus-chewing (1.4.14-1) unstable; urgency=medium

  * new upstream release.
  * Bump Standerds-Version to 3.9.6
  * Remove unused patch:
    * Use default XKB layout of the system
  * Remove duplicated copyright and changelog
  * Add new patches:
    * Fix format-security warnings
    * Fix Exec in desktop file
    * Fix typo

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sat, 20 Jun 2015 14:02:59 +0800

ibus-chewing (1.4.10.1-2) unstable; urgency=medium

  * Use default XKB layout of the system (Closes: #752322)
  * Add debian/gbp.conf

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Sun, 22 Jun 2014 23:50:07 +0800
